## org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel
Interface SybaseASEViewTable

All Superinterfaces:
  DerivedTable, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SQLObject, SybaseAuthorizedObject, SybaseViewTable, Table, ViewTable

All Known Implementing Classes:
  SybaseASECatalogView, SybaseASEViewTableImpl

    public interface SybaseASEViewTable

extends SybaseViewTable

A representation of the model object 'Sybase ASE View Table'.

The following features are supported:

- `With Check Option`

See Also:
  `SybaseasesqlmodelPackage.getSybaseASEViewTable()`

Method Summary
`boolean` `isWithCheckOption()` Returns the value of the 'With Check Option' attribute.
`void` `setWithCheckOption(boolean value)` Sets the value of the '`With Check Option`' attribute.

Methods inherited from interface org.eclipse.datatools.enablement.sybase.models.sybasesqlmodel.SybaseViewTable
`isSystem`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.tables.ViewTable
`getCheckType, setCheckType`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.tables.DerivedTable
`getQueryExpression, setQueryExpression`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.tables.Table
`getColumns, getIndex, getSchema, getSelfRefColumnGeneration, getSubtables, getSupertable, getTriggers, getUdt, isInsertable, isUpdatable, setSchema, setSelfRefColumnGeneration, setSupertable, setUdt`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### isWithCheckOption

    boolean isWithCheckOption()

  Returns the value of the 'With Check Option' attribute.

  If the meaning of the 'With Check Option' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'With Check Option' attribute.
  See Also:
    `setWithCheckOption(boolean)`, `SybaseasesqlmodelPackage.getSybaseASEViewTable_WithCheckOption()`

### setWithCheckOption

    void setWithCheckOption(boolean value)

  Sets the value of the '`With Check Option`' attribute.

  Parameters:
    `value` - the new value of the 'With Check Option' attribute.
  See Also:
    `isWithCheckOption()`